cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Not applicable

I am using QB for Mac 2019. My OS is Sierra. Do I need to install the update that includes compatibility to OS Catalina

The most recent QB 2019 update includes compatibility for OS Catalina.

I am currently running OS Sierra.

Should I insatll the most recent QB update?

Or will it cause problems?

1 Comment
QuickBooks Team

Re: I am using QB for Mac 2019. My OS is Sierra. Do I need to install the update that includes co...

Hello there, @WindsorWest1.

 

Thanks for reaching out to the Community, Let me share some insights about QuickBooks Desktop 2019 for Mac system requirements. 

 

As long as you have at least Mac OS X v10.12 (Sierra); Supported by Mac OS X v10.14 (Mojave), 10.13 (High Sierra), there's no need for you to worry since it still included on the system requirements. 

 

However, if you're planning to use the macOS Catalina, you can download and install the latest free update any time you want since it will only take a few minutes. 

 

For your reference, you can always check these articles below to learn more about QuickBooks system requirements:

Please know that you're always welcome to post if you have any other concerns about managing QuickBooks data. I'm always here to help. Have a good day! 

Need to get in touch?

Contact us